<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div>
        <div>
            Prima ke: <input type="text" name="inputValue" id="inputValue"/>
            <button onclick="CariBIlangan()">Check</button>
        </div>
        Bilangan Primanya adalah : <div id="returnValue"></div>
    </div>
    


    <script>
        function BilPrima(value) {
            if (value > 2) {
                var i, q;
                do {
                    i = 3;
                    value += 2;
                    q = Math.floor(Math.sqrt(value));
                    while (i <= q && value % i) {
                        i += 2;
                    }
                } while (i <= q);
                return value;
            }
            return value === 2 ? 3 : 2;
        }


        function CariBIlangan() {
            var userValue = document.getElementById("inputValue").value;
            var value = 0, result = [];
            for (var i = 0; i < userValue; i++) {
                value = BilPrima(value);
                result.push(value);
            }
        document.getElementById("returnValue").innerHTML = result[userValue-1];
        }
    </script>
</body>
</html>